Package org.globus.util.deactivator

# Class Deactivator

java.lang.Object
org.globus.util.deactivator.Deactivator

public class Deactivator extends Object

## Constructor Summary

Constructors
Constructor
Description
`Deactivator()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`deactivateAll()`
`static void`
`registerDeactivation(DeactivationHandler handler)`
`static void`
`unregisterDeactivation(DeactivationHandler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Deactivator

public Deactivator()

## Method Details

### deactivateAll

public static void deactivateAll()

### registerDeactivation

public static void registerDeactivation(DeactivationHandler handler)

### unregisterDeactivation

public static void unregisterDeactivation(DeactivationHandler handler)